Bug 824302 - Replace-brick operation tries to create brick directory on all the nodes of a cluster
Replace-brick operation tries to create brick directory on all the nodes of a...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
Raghavendra Bhat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 04:39 EDT by shylesh
Modified: 2015-11-03 18:04 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:29:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: release-3.3 head: 27bc10d67b9502c03668ca851e8330485cb5e2b5
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-05-23 04:39:46 EDT
Description of problem:
Replace-brick operation tries to create destination brick directory on all the nodes of the cluster

Version-Release number of selected component (if applicable):
3.3.0qa42

How reproducible:


Steps to Reproduce:
1. create a distribute volume with 2 bricks
say the path of the brick is /path1-to/brick/brick1 /path2-to/brick/brick2

2. fill up with some data and replace the second brick with new brick which has different prefix in the brick path say /path3-to/brick/brick3
3. replace-brick fails
  
Actual results:
It tries to create directories on all the nodes of the cluster , if prefix directories won't exist then it fails saying "could not create the directory"

Expected results:


Additional info:
Comment 1 krishnan parthasarathi 2012-06-19 02:32:22 EDT
http://review.gluster.com/3457 fixes this issue.
Comment 2 Raghavendra Bhat 2012-06-19 08:17:09 EDT
Checked with latest git head [27bc10d67b9502c03668ca851e8330485cb5e2b5] and replace brick is working fine eventhough the destination brick path is not present in other remaining peers of the cluster.

Note You need to log in before you can comment on or make changes to this bug.